org.yaml.snakeyaml

## Enum DumperOptions.FlowStyle

- java.lang.Object
- - java.lang.Enum<DumperOptions.FlowStyle>
  - - org.yaml.snakeyaml.DumperOptions.FlowStyle

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.FlowStyle>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.FlowStyle
    extends Enum<DumperOptions.FlowStyle>

Block styles use indentation to denote nesting and scope within the document. In contrast, flow styles rely on explicit indicators to denote nesting and scope.

See Also:
  3.2.3.1. Node Styles (http://yaml.org/spec/1.1)

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO`
`BLOCK`
`FLOW`

### Method Summary

Methods
`static DumperOptions.FlowStyle` `fromBoolean(Boolean flowStyle)` Deprecated.
`Boolean` `getStyleBoolean()`
`String` `toString()`
`static DumperOptions.FlowStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.FlowStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FLOW

    public static final DumperOptions.FlowStyle FLOW

#### BLOCK

    public static final DumperOptions.FlowStyle BLOCK

#### AUTO

    public static final DumperOptions.FlowStyle AUTO

### Method Detail

#### values

    public static DumperOptions.FlowStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumperOptions.FlowStyle c : DumperOptions.FlowStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumperOptions.FlowStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromBoolean

    @Deprecated
    public static DumperOptions.FlowStyle fromBoolean(Boolean flowStyle)

Deprecated.

#### getStyleBoolean

    public Boolean getStyleBoolean()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DumperOptions.FlowStyle>`